{
  "ash" : {
    "generateResource" : "Y"
  },
  "attributes" : [
    {
      "allowsNull" : "N",
      "ash" : {
        "ashName" : "active?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "active",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "active",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "createDate",
      "externalType" : "datetime",
      "name" : "createDate",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSDate"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "_rowid",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "customRecordDefinitionID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "customRecordSetDefinitionID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "customRecordSetDefinitionID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "defaultValue",
      "externalType" : "char",
      "name" : "defaultValue",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "details",
      "externalType" : "char",
      "name" : "details",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashName" : "for_contact?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "forContact",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "forContact",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashName" : "for_group?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "forGroup",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "forGroup",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashName" : "for_opportunity?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "forOpportunity",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "forOpportunity",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashName" : "for_organization?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "forOrganization",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "forOrganization",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y",
        "recordName" : "isForCompany"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashName" : "for_project?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "forProject",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "forProject",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "length",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "length",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "name",
      "externalType" : "char",
      "name" : "name",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "options",
      "externalType" : "char",
      "name" : "options",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "ordering",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "order",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "privateTypeCode",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "privateTypeCode",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashName" : "type",
        "ashType" : "Daylite.Forms.CustomRecordDefinition.Type",
        "includeInResource" : "Y"
      },
      "columnName" : "typeCode",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "typeCode",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "uniqueInRecordSet",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "uniqueInRecordSet",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "webFormAlternativeIdentifier",
      "externalType" : "char",
      "name" : "webFormAlternativeIdentifier",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "webFormHidden",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "webFormHidden",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "intDefaultValue",
      "externalType" : "longlong",
      "name" : "intDefaultValue",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "dateDefaultValue",
      "externalType" : "datetime",
      "name" : "dateDefaultValue",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSDate"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "decimalDefaultValue",
      "externalType" : "double",
      "name" : "decimalDefaultValue",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "stringDefaultValue",
      "externalType" : "char",
      "name" : "stringDefaultValue",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionUserID",
      "externalType" : "int",
      "isIndexed" : "Y",
      "name" : "deletionUserID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionDate",
      "externalType" : "datetime",
      "isIndexed" : "Y",
      "name" : "deletionDate",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSDate"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionIdentifier",
      "externalType" : "char",
      "isIndexed" : "Y",
      "name" : "deletionIdentifier",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : 255
    }
  ],
  "className" : "GWCustomRecordDefinition",
  "classProperties" : [
    "active",
    "createDate",
    "customRecordDefinitionID",
    "customRecordSetDefinitionID",
    "defaultValue",
    "details",
    "forContact",
    "forGroup",
    "forOpportunity",
    "forOrganization",
    "forProject",
    "length",
    "name",
    "options",
    "order",
    "privateTypeCode",
    "typeCode",
    "uniqueInRecordSet",
    "webFormAlternativeIdentifier",
    "webFormHidden",
    "intDefaultValue",
    "dateDefaultValue",
    "decimalDefaultValue",
    "stringDefaultValue",
    "deletionUserID",
    "deletionDate",
    "deletionIdentifier",
    "customRecordSetDefinition",
    "customRecords",
    "customRecordOptions"
  ],
  "domain" : "Forms",
  "enums" : [
    {
      "addedInModelVersion" : 1001,
      "items" : [
        {
          "addedInModelVersion" : 1001,
          "name" : "String",
          "value" : 0
        },
        {
          "addedInModelVersion" : 1001,
          "name" : "Integer",
          "value" : 1
        },
        {
          "addedInModelVersion" : 1001,
          "name" : "Date",
          "value" : 2
        },
        {
          "addedInModelVersion" : 1001,
          "name" : "Time",
          "value" : 3
        },
        {
          "addedInModelVersion" : 1001,
          "name" : "DateTime",
          "value" : 4
        },
        {
          "addedInModelVersion" : 1001,
          "name" : "Float",
          "value" : 5
        },
        {
          "addedInModelVersion" : 1001,
          "name" : "Money",
          "value" : 6
        },
        {
          "addedInModelVersion" : 1001,
          "name" : "Option",
          "value" : 7
        },
        {
          "addedInModelVersion" : 1001,
          "name" : "Combo",
          "value" : 8
        },
        {
          "addedInModelVersion" : 1001,
          "name" : "Checkbox",
          "value" : 9
        },
        {
          "addedInModelVersion" : 1001,
          "name" : "CheckboxMatrix",
          "value" : 10
        }
      ],
      "name" : "CustomRecordDefinitionType",
      "type" : 1
    }
  ],
  "externalName" : "CustomRecordDefinition",
  "fetchSpecificationDictionary" : {

  },
  "isDatabasePreference" : true,
  "isTrashable" : true,
  "name" : "CustomRecordDefinition",
  "primaryKeyAttributes" : [
    "customRecordDefinitionID"
  ],
  "record" : {
    "allowsRecord" : "Y",
    "isDirectlyUpdatable" : "Y"
  },
  "relationships" : [
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "CustomRecordSetDefinition",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "customRecordSetDefinitionID",
          "sourceAttribute" : "customRecordSetDefinitionID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "customRecordSetDefinition",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "CustomRecord",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "customRecordDefinitionID",
          "sourceAttribute" : "customRecordDefinitionID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "customRecords",
      "ownsDestination" : "Y",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "CustomRecordOption",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "customRecordDefinitionID",
          "sourceAttribute" : "customRecordDefinitionID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "customRecordOptions",
      "ownsDestination" : "Y",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    }
  ],
  "supportedPlatforms" : "MCPSupportedPlatformsAll",
  "supportsPermissions" : false,
  "uniqueIdentifier" : "19"
}